Page 18 of 24 FirstFirst ... 81314151617181920212223 ... LastLast
Results 341 to 360 of 472
Like Tree46Likes
  1.    #341  
    Yes, Grabber5.0 is correct.
  2. #342  
    (From thread: google error: requested encryption not supported by server)
    Quote Originally Posted by Grabber5.0 View Post
    It seems there have been additional changes that are causing new google account adds to fail. I was looking at my various devices, and figured out that frantid's google OAuth patch will enable adding of new google accounts to 2.x and 3.x devices. It's a two-step process, involving authenticating with id and password, and then using the OAuth signin page. Note that you need to remove my gsync patch as it is incorporated into frantid's OAuth patch. There is currently some kind of error when adding the account - it works, but it will hang after tapping the green 'create account' button. If you let it sit there for a minute or so, then toss the card away, you can go back in and retrieve the OAuth token and enable contacts and calendar sync on the account. Read this post carefully, then download the appropriate patch for your device using the links at the bottom of the first post: Google Calendar Sync Behaviors patch
    In addition to new Gmail setups, I wonder if this explains why I had trouble when I put C+DAV back on my phone and set up to the calendar - did see a screen with authentication code, but it got covered by the app. The untouched install on the TP still works. If this solution is the answer to fresh Google connections from webOS, then how lucky we are to have you guys!

    Just a pity that every fix seems to be followed by a new problem!

    I'll look into this.
    Last edited by Preemptive; 09/12/2015 at 10:20 PM.
  3. #343  
    Hm.. you never really came back to me with the google issue on your device. I just checked it right now in the emulator and could add a new google account using the c+dav service fine. Even with two factor authentification.
  4. #344  
    Yes, I need to find an evening to go through this. It may have nothing to do with this new issue.
  5.    #345  
    Updated 2.2.4 patch to fix error when adding gmail account. Other device versions to follow.

    If you update your installed patch version, it might take a device restart after updating for the account service to "see" the change.

    Google Calendar Sync Behaviors patch
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
    Rnp likes this.
  6. #346  
    Quote Originally Posted by frantid View Post
    Updated 2.2.4 patch to fix error when adding gmail account. Other device versions to follow.

    If you update your installed patch version, it might take a device restart after updating for the account service to "see" the change.

    Google Calendar Sync Behaviors patch

    Is this update in Preware, such that i can just open Preware and it will self update?

    Otherwise what is the procedure, removing old patch, reboot, install new patch, reboot?
    Sporting my 13th Pre device, a NOS unlocked ROW Pre3!
  7.    #347  
    I wish the Preware patches portal was still working. All newer patches are manual these days.

    I like Grabber's answer better, see below.

    If you upgrading from the earlier oauth2 patch, you should not have to toggle the calendar and contacts off. But all the other directions are important.
    Last edited by frantid; 09/14/2015 at 01:38 PM.
  8. #348  
    Quote Originally Posted by TJs11thPre View Post
    Is this update in Preware, such that i can just open Preware and it will self update?

    Otherwise what is the procedure, removing old patch, reboot, install new patch, reboot?
    See the instructions in the linked post. They are very specific and best not paraphrased here. In short, not in Preware, like any other new/updated patches.
  9.    #349  
    Updated all phone versions of patch to fix error when adding gmail account. Read through the directions carefully.

    Google Calendar Sync Behaviors patch
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
  10. #350  
    Please feel free to error check this post: webOS service pack?
  11.    #351  
    Updated touchpad version to fix an issue when adding new accounts. The touchpad and Google require you to validate against oauth2 for new google type accounts. Make sure you follow directions on updating the patch. if you need more info see the first post.

    Google Calendar Sync Behaviors patch
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
    Grabber5.0, Preemptive and Rnp like this.
  12. #352  
    Quote Originally Posted by frantid View Post
    Updated touchpad version to fix an issue when adding new accounts. The touchpad and Google require you to validate against oauth2 for new google type accounts. Make sure you follow directions on updating the patch. if you need more info see the first post.

    Google Calendar Sync Behaviors patch
    Thanks for this update, I haven't installed yet, but I'm thankful for the continuing support!

    I have been trying to follow along with the google issues, but I'm quite confused at this point...

    My wife and I use FrankenPre2s for daily drivers and with those I was a pretty early adopter of C+DAV for Contacts and Calendar and kept our Google accounts only for Gmail. This has been working great as long as I keep up with Google's certs (Thanks Grabber 5.0!!!). I also use 3 touchpads and a couple of Pre3s in my business and I haven't really been on top of maintaining those since they are mostly only used for interacting with our intranet (browser). So I'm trying to get around to getting those updated and I'm confused about which route to take.

    Am I correct in understanding that there are basically two routes to get Gmail, Google Calendar and Google Contacts working in October 2015?

    A) Google Calendar Sync Behaviors patch (Pre2/Pre3: google_oauth2_224_1-13.patch, Touchpad: google_oauth2_305_1-10.patch)
    - Do I understand correctly that this patch grew from extending sync behaviors to providing OAuth for Calendar, Contacts and Gmail and thus allowing the built-in Google account type to continue to function and allowing setup of new "Google" type accounts including Gmail?

    B) C+DAV for Calendar and Contacts PLUS Generic IMAP setup for gmail.
    - For this route, I know the C+DAV works great for Calendar and Contacts and am I correct in understanding that we can still add new Gmail accounts by setting up a generic IMAP account?

    Can anyone confirm or correct the above?
    -Go webOS!
  13. #353  
    My brain hurts too much to process that, but I think I can sum it up this way:

    For calendar and contacts, either one works pretty much the same.

    For gmail, there are two choices - generic IMAP or OAuth+gmail connector. This seems to enable Gtalk in messaging as well. Gmail doesn't use OAuth per-se, but it is used to authorize the account access.

    CDAV also enables other CDAV-compatible services.
    Rnp likes this.
  14.    #354  
    @bbito like grabber5.0 said it's just a choice between two different options. You summed it up correctly though.
  15. #355  
    I get several errors when trying to install the patch, doctoring the device doesn't seem to help. Can't log in to Google, it just says "Bad request". Is there a solution for this?
    HP Veer Unlocked Wifi/3G 8GB - WebOS 2.1.1 & Unlocked Samsung Galaxy Nexus (maguro) - CM 10.2.1
    WebOS developers are awesome!
  16.    #356  
    Can you post the log from trying to install the patch? Do you have other patches installed?
  17. #357  
    I installed google_oauth2_224_1-13.patch on my Pre3, and everything seemed to have gone well. This is a new Gmail account, which I setup without a problem after installing the patch. However, even after validating email settings, I'm getting "requested encryption not supported by server" when I attempt to sync email inbox.

    I've tried pop and imap using both encrypted and unencrypted options and ports. All are getting same error.

    Any suggestions?

    ON EDIT: Found solution. See
    [Patch] Google sync https fix (unknown error on sign in)
    Last edited by mypalmpred; 11/09/2015 at 08:37 PM.
    frantid likes this.
  18.    #358  
    Quote Originally Posted by mypalmpred View Post
    I installed google_oauth2_224_1-13.patch on my Pre3, and everything seemed to have gone well. This is a new Gmail account, which I setup without a problem after installing the patch. However, even after validating email settings, I'm getting "requested encryption not supported by server" when I attempt to sync email inbox.

    I've tried pop and imap using both encrypted and unencrypted options and ports. All are getting same error.

    Any suggestions?

    ON EDIT: Found solution. See
    [Patch] Google sync https fix (unknown error on sign in)
    You can use calendar and contact sync as well, if you want. You can adjust the sync settings, how often, wifi only, etc, in the accounts app. You can have different settings for calendar and contacts. That is why I moved the sync settings into the accounts app. If you use the calendar, I strongly recommend using UberCalendar from the forum not Preware, as the v3 calendar api changed the alarm settings.
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
  19. #359  
    Installed today in a freshly doctored Unlocked Pre2 in Spanish and working great! Had to restart it to make it work... I copied the json file from the EN folder to the ES folder, no need for translation
    Dell Axim X5 -> Palm Tungsten T -> Palm Tungsten T3 -> Palm Tungsten T -> Palm Treo Pro + MicroSD 4GB -> Palm Pre 2 (Lost it) -> Palm Pixi Plus -> Palm Pre 2 -> HP Veer -> Palm Pre 2 -> HP Pre 3
    frantid likes this.
  20. #360  
    Quote Originally Posted by frantid View Post
    Can you post the log from trying to install the patch? Do you have other patches installed?
    Sorry for the late reply. The error message is in the attachment. I just wiped everything on my little Veer, so no patches are installed.
    Attached Images Attached Images
    HP Veer Unlocked Wifi/3G 8GB - WebOS 2.1.1 & Unlocked Samsung Galaxy Nexus (maguro) - CM 10.2.1
    WebOS developers are awesome!

Posting Permissions